// Problem  : Optimal function call
// Solution : Igor V. Burago

#include <fstream>
#include <iterator>
#include <algorithm>
#include <vector>
#include <string>
#include <cassert>

using namespace std;

ifstream cin("input.txt");
ofstream cout("output.txt");

int ArgsCount;
vector<string> Args;

void WriteCall(const int Count)
{
  if (Count == 1)
  {
    static int ArgIndex = 0;
    assert(ArgIndex < ArgsCount);
    cout << Args[ArgIndex];
    ++ArgIndex;
  }
  else
  {
    int Next = Count / 2;
    cout << "sum(";
    WriteCall(Next);
    cout << ',';
    WriteCall(Count - Next);
    cout << ')';
  }
}

int main()
{
  cin >> ArgsCount;
  copy(istream_iterator<string>(cin), istream_iterator<string>(), back_inserter(Args));
  assert(Args.size() == (size_t)ArgsCount);

  WriteCall(ArgsCount);

  return 0;
}
